osl::misc::IncrementLock< Counter > Struct Template Reference

`#include <atomicCounter.h>`

## Public Member Functions

| IncrementLock (Counter &c)
| ~IncrementLock ()
| IncrementLock (const IncrementLock &)=delete
IncrementLock & | operator= (const IncrementLock &)=delete

## Public Attributes

Counter & | counter

## Detailed Description

template<class Counter>
struct osl::misc::IncrementLock< Counter >

Definition at line 15 of file atomicCounter.h.

## Constructor & Destructor Documentation

## IncrementLock() [1/2]

template<class Counter>

osl::misc::IncrementLock< Counter >::IncrementLock | ( | Counter & | c | ) |

inline explicit

Definition at line 18 of file atomicCounter.h.

## ~IncrementLock()

template<class Counter>

osl::misc::IncrementLock< Counter >::~IncrementLock | ( |  | ) |

inline

Definition at line 22 of file atomicCounter.h.

## IncrementLock() [2/2]

template<class Counter>

osl::misc::IncrementLock< Counter >::IncrementLock | ( | const IncrementLock< Counter > & |  | ) |

delete

## Member Function Documentation

## operator=()

template<class Counter>

IncrementLock & osl::misc::IncrementLock< Counter >::operator= | ( | const IncrementLock< Counter > & |  | ) |

delete

## Member Data Documentation

## counter

template<class Counter>

Counter& osl::misc::IncrementLock< Counter >::counter

Definition at line 17 of file atomicCounter.h.

The documentation for this struct was generated from the following file:

- atomicCounter.h